Name: H5Pcopy
Signature:
  hid_t `H5Pcopy`(hid_t `plist` )
Purpose:
  Copies an existing property list to create a new property list.
Description:
  `H5Pcopy` copies an existing property list to create a new property list. The new property list has the same properties and values as the original property list.
Parameters:

hid_t `plist` | IN: Identifier of property list to duplicate.

Returns:
  Returns a property list identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5pcopy_f

      SUBROUTINE h5pcopy_f(prp_id, new_prp_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id       ! Property list identifier
        INTEGER(HID_T), INTENT(OUT) :: new_prp_id  ! Identifier  of property list
                                                   ! copy
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5pcopy_f